Bug 1269164 - Logrotate configuration /etc/logrotate.d/roundcubemail is incomplete and should not contain "create"
Logrotate configuration /etc/logrotate.d/roundcubemail is incomplete and shou...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: roundcubemail (Show other bugs)
epel7
All All
unspecified Severity low
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 09:40 EDT by Robert Vogelgesang
Modified: 2016-01-12 23:26 EST (History)
4 users (show)

See Also:
Fixed In Version: roundcubemail-1.1.4-2.fc23 roundcubemail-1.1.4-2.fc22 roundcubemail-1.1.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 14:56:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Vogelgesang 2015-10-06 09:40:28 EDT
Description of problem:
The current version of /etc/logrotate.d/roundcubemail rotates only /var/log/roundcubemail/errors, but not the other "standard" log files.

Version-Release number of selected component (if applicable):
roundcubemail-1.1.2-1.el7.noarch


How reproducible:
Always

Steps to Reproduce:
1. Just install the package using yum.
2.
3.

Actual results:
Only /var/log/roundcubemail/errors gets rotated, but not the other logs.

Due to the "create" option, the file gets created after rotation, even if it won't get used anymore.


Expected results:
At least the following files should get rotated, too:

/var/log/roundcubemail/sendmail
/var/log/roundcubemail/session
/var/log/roundcubemail/userlogins

Maybe, it would even make sense to add the following:

/var/log/roundcubemail/imap
/var/log/roundcubemail/ldap
/var/log/roundcubemail/smtp
/var/log/roundcubemail/sql


Additional info:

All "standard" log files should be covered by the packaged logrotate configuration.

Please avoid using the "create" option of logrotate for files that are declared "missingok"; instead, set "nocreate" for all these files.
Comment 1 Remi Collet 2015-12-28 02:51:18 EST
There  much more files... (sieve, password, imap_session...)

A simpler way will be to use:

/var/log/roundcubemail/*.log {
    ...
}


So : https://github.com/roundcube/roundcubemail/pull/313

I plan to apply this patch in upcoming 1.1.4
Comment 2 Fedora Update System 2015-12-28 03:34:30 EST
roundcubemail-1.1.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e299214b8
Comment 3 Fedora Update System 2015-12-28 03:34:43 EST
roundcubemail-1.1.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5538691958
Comment 4 Fedora Update System 2015-12-28 19:25:51 EST
roundcubemail-1.1.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5538691958
Comment 5 Fedora Update System 2015-12-28 19:54:54 EST
roundcubemail-1.1.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e299214b8
Comment 6 Fedora Update System 2015-12-30 15:54:13 EST
roundcubemail-1.1.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-431d39fbff
Comment 7 Fedora Update System 2016-01-07 14:56:13 EST
roundcubemail-1.1.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-07 22:21:27 EST
roundcubemail-1.1.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-12 23:26:26 EST
roundcubemail-1.1.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.